# Approve a Record

Use the Process Approvals resource to approve a record or a collection of records. Each call takes an array of requests. The current user must be an assigned approver. The contextId is ID of the record to submit for approval..

## Example usage

```nolang
curl https://MyDomainName.my.salesforce.com/services/data/v68.0/process/approvals/ -H "Authorization: Bearer token" -H "Content-Type: application/json" -d @approve.json"
```

## Example request body approve.json file

```nolang
{
  "requests" : [{
    "actionType" : "Approve",
    "contextId" : "04iD0000000Cw6SIAS",
    "nextApproverIds" : ["005D00000015rY9"],
    "comments" : "this record is approved"}]
}
```

## Example JSON response body

```nolang

[ { 
  "actorIds" : null,
  "entityId" : "001D000000I8mImIAJ",
  "errors" : null,
  "instanceId" : "04gD0000000CvmAIAS",
  "instanceStatus" : "Approved",
  "newWorkitemIds" : [ ],
  "success" : true 
} ] 
```
